<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>問題6.2 - ロジスティック写像の定性的な特徴 &mdash; 計算機実習2014</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/translations.js"></script>
    <link rel="author" title="このドキュメントについて" href="../about.html" />
    <link rel="top" title="計算機実習2014" href="../index.html" />
    <link rel="next" title="問題6.6 - ファイゲンバウム定数の評価" href="../6-6_feigenbaum/6-6.html" />
    <link rel="prev" title="問題6.1 - 周期倍化" href="../6-1_iterate_map/6-1.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="../6-6_feigenbaum/6-6.html" title="問題6.6 - ファイゲンバウム定数の評価"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../6-1_iterate_map/6-1.html" title="問題6.1 - 周期倍化"
             accesskey="P">前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="label">
<span id="id1"></span><h1><a class="toc-backref" href="#id7">問題6.2 - ロジスティック写像の定性的な特徴</a><a class="headerlink" href="#label" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="contents topic" id="contents">
<p class="topic-title first">Contents</p>
<ul class="simple">
<li><a class="reference internal" href="#label" id="id7">問題6.2 - ロジスティック写像の定性的な特徴</a><ul>
<li><a class="reference internal" href="#id2" id="id8">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3" id="id9">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4" id="id10">実習課題</a></li>
<li><a class="reference internal" href="#id5" id="id11">まとめ</a></li>
<li><a class="reference internal" href="#id6" id="id12">参考文献</a></li>
</ul>
</li>
</ul>
</div>
<div class="section" id="id2">
<h2><a class="toc-backref" href="#id8">シミュレーションの目的</a><a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>ロジスティック写像</p>
<div class="math" id="equation-logistic">
<p><span class="eqno">(1)</span><img src="../_images/math/909a0c61a84f590cd02fd5e477caf20458e9009d.png" alt="x_{n+1}=f(x_{n})=4rx_{n}(1-x_{n})"/></p>
</div><p>の振る舞いを調べる方法の一つとして、<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>の値を<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の関数としてプロットする方法がある。初期の過渡的な振る舞いを捨てて、その後の反復で得られる<img class="math" src="../_images/math/188c175aac0a8a9c22499336711b5d7256407254.png" alt="x"/>の値をプロットするのである。本シミュレーションの目的は、式<a href="#equation-logistic">(1)</a>を差分方程式として扱い、上に述べたような条件を満たすようなプログラムを作成して、実際にシミュレーションを行うことである。</p>
</div>
<div class="section" id="id3">
<h2><a class="toc-backref" href="#id9">作成したプログラム</a><a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>Pythonを用いて作成したプログラムを以下に示す。</p>
<ul class="simple">
<li>パラメータの設定ダイアログ( <a class="reference download internal" href="../_downloads/SetParameter3.py"><tt class="xref download docutils literal"><span class="pre">SetParameter.py</span></tt></a> )</li>
</ul>
<div class="highlight-python"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!usr/bin/env python </span>
<span class="c"># -*- coding: utf-8 -*-</span>
<span class="c">#</span>
<span class="c"># written by Shotaro Fujimoto, Mqy 2014.</span>
<span class="c">#</span>

<span class="kn">from</span> <span class="nn">Tkinter</span> <span class="kn">import</span> <span class="o">*</span>

<span class="k">class</span> <span class="nc">SetParameter</span><span class="p">():</span>

    <span class="k">def</span> <span class="nf">show_setting_window</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">parameters</span><span class="p">,</span> <span class="n">commands</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot; Show a parameter setting window.</span>
<span class="sd">                </span>
<span class="sd">        parameters: A list of dictionaries {&#39;parameter name&#39;:default_value}</span>
<span class="sd">        commands: A dictionary {&#39;name of button&#39;: command}</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">root</span> <span class="o">=</span> <span class="n">Tk</span><span class="p">()</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">root</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s">&#39;Control Widget&#39;</span><span class="p">)</span>
        
        <span class="n">frame1</span> <span class="o">=</span> <span class="n">Frame</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">root</span><span class="p">,</span> <span class="n">padx</span><span class="o">=</span><span class="mi">5</span><span class="p">,</span> <span class="n">pady</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
        <span class="n">frame1</span><span class="o">.</span><span class="n">pack</span><span class="p">(</span><span class="n">side</span><span class="o">=</span><span class="s">&#39;top&#39;</span><span class="p">)</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">entry</span> <span class="o">=</span> <span class="p">[]</span>
        <span class="k">for</span> <span class="n">i</span><span class="p">,</span> <span class="n">parameter</span> <span class="ow">in</span> <span class="nb">enumerate</span><span class="p">(</span><span class="n">parameters</span><span class="p">):</span>
            <span class="n">label</span> <span class="o">=</span> <span class="n">Label</span><span class="p">(</span><span class="n">frame1</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="n">parameter</span><span class="o">.</span><span class="n">items</span><span class="p">()[</span><span class="mi">0</span><span class="p">][</span><span class="mi">0</span><span class="p">]</span> <span class="o">+</span> <span class="s">&#39; = &#39;</span><span class="p">)</span>
            <span class="n">label</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="n">row</span><span class="o">=</span><span class="n">i</span><span class="p">,</span> <span class="n">column</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span> <span class="n">sticky</span><span class="o">=</span><span class="n">E</span><span class="p">)</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">Entry</span><span class="p">(</span><span class="n">frame1</span><span class="p">,</span> <span class="n">width</span><span class="o">=</span><span class="mi">10</span><span class="p">))</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="n">i</span><span class="p">]</span><span class="o">.</span><span class="n">grid</span><span class="p">(</span><span class="n">row</span><span class="o">=</span><span class="n">i</span><span class="p">,</span> <span class="n">column</span><span class="o">=</span><span class="mi">1</span><span class="p">)</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="n">i</span><span class="p">]</span><span class="o">.</span><span class="n">delete</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">END</span><span class="p">)</span>
            <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="n">i</span><span class="p">]</span><span class="o">.</span><span class="n">insert</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">parameter</span><span class="o">.</span><span class="n">items</span><span class="p">()[</span><span class="mi">0</span><span class="p">][</span><span class="mi">1</span><span class="p">])</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">focus_set</span><span class="p">()</span>
       
        <span class="n">frame2</span> <span class="o">=</span> <span class="n">Frame</span><span class="p">(</span><span class="bp">self</span><span class="o">.</span><span class="n">root</span><span class="p">,</span> <span class="n">padx</span><span class="o">=</span><span class="mi">5</span><span class="p">,</span> <span class="n">pady</span><span class="o">=</span><span class="mi">5</span><span class="p">)</span>
        <span class="n">frame2</span><span class="o">.</span><span class="n">pack</span><span class="p">(</span><span class="n">side</span><span class="o">=</span><span class="s">&#39;bottom&#39;</span><span class="p">)</span>
        <span class="k">for</span> <span class="n">name</span><span class="p">,</span> <span class="n">command</span> <span class="ow">in</span> <span class="n">commands</span><span class="o">.</span><span class="n">items</span><span class="p">():</span>
            <span class="n">button</span> <span class="o">=</span> <span class="n">Button</span><span class="p">(</span><span class="n">frame2</span><span class="p">,</span> <span class="n">text</span><span class="o">=</span><span class="n">name</span><span class="p">,</span> <span class="n">command</span><span class="o">=</span><span class="n">command</span><span class="p">)</span>
            <span class="n">button</span><span class="o">.</span><span class="n">pack</span><span class="p">(</span><span class="n">side</span><span class="o">=</span><span class="s">&#39;left&#39;</span><span class="p">,</span> <span class="n">fill</span><span class="o">=</span><span class="s">&#39;x&#39;</span><span class="p">)</span>
        
        <span class="bp">self</span><span class="o">.</span><span class="n">root</span><span class="o">.</span><span class="n">mainloop</span><span class="p">()</span>
       
    <span class="k">def</span> <span class="nf">quit</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">root</span><span class="o">.</span><span class="n">destroy</span><span class="p">()</span>
</pre></div>
</td></tr></table></div>
<ul class="simple">
<li>ロジスティック写像の計算を行うプログラム( <a class="reference download internal" href="../_downloads/myplot_bifurcation.py"><tt class="xref download docutils literal"><span class="pre">myplot_bifurcation.py</span></tt></a> )</li>
</ul>
<div class="highlight-python"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!/usr/bin/env python </span>
<span class="c"># -*- coding:utf-8 -*-</span>

<span class="sd">&quot;&quot;&quot;</span>

<span class="sd">Shotaro Fujimoto</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="kn">import</span> <span class="nn">matplotlib.pylab</span> <span class="kn">as</span> <span class="nn">plt</span>
<span class="kn">import</span> <span class="nn">array</span> <span class="kn">as</span> <span class="nn">array</span>
<span class="kn">import</span> <span class="nn">numpy</span> <span class="kn">as</span> <span class="nn">np</span>

<span class="k">def</span> <span class="nf">Plot</span><span class="p">(</span><span class="n">func</span><span class="p">,</span> <span class="n">x0</span><span class="p">,</span> <span class="n">ntransient</span><span class="p">,</span> <span class="n">nplot</span><span class="p">,</span> <span class="n">r0</span><span class="p">,</span> <span class="n">rmax</span><span class="p">,</span> <span class="n">dr</span><span class="p">):</span>
    <span class="k">global</span> <span class="n">x</span>
    <span class="n">count</span><span class="o">=</span><span class="nb">int</span><span class="p">((</span><span class="n">rmax</span><span class="o">-</span><span class="n">r0</span><span class="p">)</span><span class="o">/</span><span class="n">dr</span><span class="p">)</span>
    <span class="p">[</span><span class="n">_Plot</span><span class="p">(</span><span class="n">func</span><span class="p">,</span> <span class="n">r0</span><span class="o">+</span><span class="n">dr</span><span class="o">*</span><span class="n">n</span><span class="p">,</span> <span class="n">x0</span><span class="p">,</span> <span class="n">ntransient</span><span class="p">,</span> <span class="n">nplot</span><span class="p">)</span> <span class="k">for</span> <span class="n">n</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="n">count</span><span class="o">+</span><span class="mi">1</span><span class="p">)]</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">gca</span><span class="p">()</span><span class="o">.</span><span class="n">set_xlim</span><span class="p">(</span><span class="n">r0</span><span class="p">,</span><span class="n">rmax</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">gca</span><span class="p">()</span><span class="o">.</span><span class="n">set_ylim</span><span class="p">(</span><span class="nb">min</span><span class="p">(</span><span class="n">x</span><span class="p">),</span><span class="nb">max</span><span class="p">(</span><span class="n">x</span><span class="p">))</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s">r&#39;$r$&#39;</span><span class="p">,</span> <span class="n">fontsize</span><span class="o">=</span><span class="mi">16</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s">r&#39;$x$&#39;</span><span class="p">,</span> <span class="n">fontsize</span><span class="o">=</span><span class="mi">16</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s">&#39;Bifurcation Diagram&#39;</span><span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>

<span class="k">def</span> <span class="nf">_Plot</span><span class="p">(</span><span class="n">function</span><span class="p">,</span> <span class="n">r</span><span class="p">,</span> <span class="n">x0</span><span class="p">,</span> <span class="n">ntransient</span><span class="p">,</span> <span class="n">nplot</span><span class="p">):</span>
    <span class="k">global</span> <span class="n">x</span>
    <span class="n">n</span><span class="o">=</span><span class="n">ntransient</span><span class="o">+</span><span class="n">nplot</span><span class="o">*</span><span class="mi">2</span>
    <span class="n">x</span><span class="o">=</span><span class="n">array</span><span class="o">.</span><span class="n">array</span><span class="p">(</span><span class="s">&#39;f&#39;</span><span class="p">)</span>
    <span class="n">x</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">x0</span><span class="p">)</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="n">n</span><span class="p">):</span>
        <span class="n">x</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">function</span><span class="p">(</span><span class="n">x</span><span class="p">[</span><span class="n">i</span><span class="p">],</span> <span class="n">r</span><span class="p">))</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">scatter</span><span class="p">([</span><span class="n">r</span><span class="p">]</span><span class="o">*</span><span class="n">nplot</span><span class="p">,</span> <span class="n">x</span><span class="p">[</span><span class="n">ntransient</span><span class="o">+</span><span class="mi">1</span><span class="p">:</span><span class="n">ntransient</span><span class="o">+</span><span class="n">nplot</span><span class="o">+</span><span class="mi">1</span><span class="p">],</span>
                <span class="n">color</span><span class="o">=</span><span class="s">&#39;r&#39;</span><span class="p">,</span> <span class="n">s</span><span class="o">=</span><span class="mf">0.1</span><span class="p">,</span> <span class="n">marker</span><span class="o">=</span><span class="s">&#39;.&#39;</span>
               <span class="p">)</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">scatter</span><span class="p">([</span><span class="n">r</span><span class="p">]</span><span class="o">*</span><span class="n">nplot</span><span class="p">,</span> <span class="n">x</span><span class="p">[</span><span class="n">ntransient</span><span class="o">+</span><span class="n">nplot</span><span class="o">+</span><span class="mi">1</span><span class="p">:</span><span class="n">n</span><span class="o">+</span><span class="mi">1</span><span class="p">],</span>
                <span class="n">color</span><span class="o">=</span><span class="s">&#39;b&#39;</span><span class="p">,</span> <span class="n">s</span><span class="o">=</span><span class="mf">0.1</span><span class="p">,</span> <span class="n">marker</span><span class="o">=</span><span class="s">&#39;.&#39;</span>
               <span class="p">)</span>
</pre></div>
</td></tr></table></div>
<ul class="simple">
<li>実行プログラム( <a class="reference download internal" href="../_downloads/6-2_bifurcate.py"><tt class="xref download docutils literal"><span class="pre">6-2_bifurcate.py</span></tt></a> )</li>
</ul>
<p>このプログラムは、追加のモジュールとして、matplotlibを使用している。プログラムを実行すると各パラメータ{x0, ntransient, nplot, r0, dr}(x0:xの初期値<img class="math" src="../_images/math/7583bd67b9c0a3880e53a7bd15ce980540c3e5cb.png" alt="x_{0}"/>, ntransient:プロットしないnの範囲, nplot:プロットするnの大きさ, r0:制御パラメータ<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の初期値, dr:プロットする<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の刻み幅)の設定ダイアログが開き、値を設定してOKボタンを押すことで、その値で計算されたロジスティック写像の分岐図が描画される。はじめのntransient回は、計算はするがプロットはされず、次のnplot回は赤でプロットし、その後のnplot回は青でプロットする。</p>
<div class="highlight-python"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#!/usr/bin/env python </span>
<span class="c"># coding:utf-8</span>
<span class="c">#</span>
<span class="c"># written by Shotaro Fujimoto, May 2014.</span>
<span class="sd">&quot;&quot;&quot; 計算機実習</span>
<span class="sd">問題6.2</span>
<span class="sd">プログラムを実行すると、パラメータの設定ダイアログが開き、</span>
<span class="sd">OKボタンを押すとグラフが描画される。</span>
<span class="sd">いろいろなrについてxの値をプロットする。</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="kn">from</span> <span class="nn">math</span> <span class="kn">import</span> <span class="o">*</span>
<span class="kn">import</span> <span class="nn">SetParameter</span>
<span class="kn">import</span> <span class="nn">myplot_bifurcation</span>

<span class="k">def</span> <span class="nf">assignment</span><span class="p">():</span>
    <span class="n">x0</span> <span class="o">=</span> <span class="nb">float</span><span class="p">(</span><span class="n">run</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
    <span class="n">ntransient</span> <span class="o">=</span> <span class="nb">int</span><span class="p">(</span><span class="n">run</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
    <span class="n">nplot</span> <span class="o">=</span> <span class="nb">int</span><span class="p">(</span><span class="n">run</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">2</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
    <span class="n">r0</span> <span class="o">=</span> <span class="nb">float</span><span class="p">(</span><span class="n">run</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">3</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
    <span class="n">rmax</span> <span class="o">=</span> <span class="mf">1.0</span>
    <span class="n">dr</span> <span class="o">=</span> <span class="nb">float</span><span class="p">(</span><span class="n">run</span><span class="o">.</span><span class="n">entry</span><span class="p">[</span><span class="mi">4</span><span class="p">]</span><span class="o">.</span><span class="n">get</span><span class="p">())</span>
    <span class="k">def</span> <span class="nf">func</span><span class="p">(</span><span class="n">x_i</span><span class="p">,</span> <span class="n">r</span><span class="p">):</span>
        <span class="k">return</span> <span class="mf">4.0</span><span class="o">*</span><span class="n">r</span><span class="o">*</span><span class="n">x_i</span><span class="o">*</span><span class="p">(</span><span class="mf">1.0</span><span class="o">-</span><span class="n">x_i</span><span class="p">)</span>
    <span class="n">run</span><span class="o">.</span><span class="n">quit</span><span class="p">()</span>
    <span class="n">myplot_bifurcation</span><span class="o">.</span><span class="n">Plot</span><span class="p">(</span><span class="n">func</span><span class="p">,</span> <span class="n">x0</span><span class="p">,</span> <span class="n">ntransient</span><span class="p">,</span> <span class="n">nplot</span><span class="p">,</span> <span class="n">r0</span><span class="p">,</span> <span class="n">rmax</span><span class="p">,</span> <span class="n">dr</span><span class="p">)</span>
    
<span class="k">if</span> <span class="n">__name__</span> <span class="o">==</span> <span class="s">&#39;__main__&#39;</span><span class="p">:</span>
    <span class="n">run</span> <span class="o">=</span> <span class="n">SetParameter</span><span class="o">.</span><span class="n">SetParameter</span><span class="p">()</span>
    <span class="n">parameters</span> <span class="o">=</span> <span class="p">[{</span><span class="s">&#39;x0&#39;</span><span class="p">:</span><span class="mf">0.3</span><span class="p">},</span> <span class="p">{</span><span class="s">&#39;ntransient&#39;</span><span class="p">:</span><span class="mi">1000</span><span class="p">},</span> <span class="p">{</span><span class="s">&#39;nplot&#39;</span><span class="p">:</span><span class="mi">50</span><span class="p">},</span> <span class="p">{</span><span class="s">&#39;r0&#39;</span><span class="p">:</span><span class="mf">0.7</span><span class="p">},</span> <span class="p">{</span><span class="s">&#39;dr&#39;</span><span class="p">:</span><span class="mf">0.0005</span><span class="p">}]</span>
    <span class="n">run</span><span class="o">.</span><span class="n">show_setting_window</span><span class="p">(</span><span class="n">parameters</span><span class="p">,</span> <span class="p">{</span><span class="s">&#39;OK&#39;</span><span class="p">:</span><span class="n">assignment</span><span class="p">})</span>
</pre></div>
</td></tr></table></div>
</div>
<div class="section" id="id4">
<h2><a class="toc-backref" href="#id10">実習課題</a><a class="headerlink" href="#id4" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ol class="loweralpha simple">
<li>作成したプログラムを使って、教科書の図6.2の再現を行う。</li>
</ol>
<ul class="simple">
<li>初期値として、<a class="reference internal" href="#tab-6-2-t1"><em>表1</em></a>に示した値を代入してプログラムを実行した結果を<a class="reference internal" href="#fig-6-2-f1"><em>図1</em></a>に示す。このグラフから、<img class="math" src="../_images/math/6bcbcfc25356f24e066d9d504201f99eceb61906.png" alt="r=0.75"/>で周期が2になり、<img class="math" src="../_images/math/a7419758e7c3e87fee69e11dfde1284f7091029f.png" alt="r=0.86"/>のあたりで周期が4となり、また<img class="math" src="../_images/math/d75034f1e5b45aa70847bc1398e3e5a089db1923.png" alt="r=0.89"/>のあたりで周期が8となっていく様子を見ることができる。また、それ以降は判別が難しくなり、カオス的な振る舞いとなった。しかし、ところどころには周期的振る舞いを示す領域も存在していることも見て取れる。</li>
</ul>
<table border="1" class="docutils" id="tab-6-2-t1">
<caption>表1. 使用した各種パラメータの値</caption>
<colgroup>
<col width="63%" />
<col width="38%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">パラメータ</th>
<th class="head">値</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>x0</td>
<td>0.3</td>
</tr>
<tr class="row-odd"><td>ntransient</td>
<td>1000</td>
</tr>
<tr class="row-even"><td>nplot</td>
<td>50</td>
</tr>
<tr class="row-odd"><td>r0</td>
<td>0.7</td>
</tr>
<tr class="row-even"><td>dr</td>
<td>0.0005</td>
</tr>
</tbody>
</table>
<div class="align-center figure" id="fig-6-2-f1">
<a class="reference internal image-reference" href="../_images/figure_17.png"><img alt="表で定めたパラメータでのBifurcation-Diaglam" src="../_images/figure_17.png" style="width: 17.0cm;" /></a>
<p class="caption"><a class="reference internal" href="#tab-6-2-t1"><em>表1</em></a>で定めたパラメータでのBifurcation-Diaglam</p>
</div>
</div>
<div class="section" id="id5">
<h2><a class="toc-backref" href="#id11">まとめ</a><a class="headerlink" href="#id5" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>ロジスティック写像の定性的な特徴を、Bifurcation-Diaglamを作成することにより確認することができた。</p>
</div>
<div class="section" id="id6">
<h2><a class="toc-backref" href="#id12">参考文献</a><a class="headerlink" href="#id6" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li>ハーベイ・ゴールド,ジャン・トボチニク,石川正勝・宮島佐介訳『計算物理学入門』,ピアソン・エデュケーション, 2000.</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">問題6.2 - ロジスティック写像の定性的な特徴</a><ul>
<li><a class="reference internal" href="#id2">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4">実習課題</a></li>
<li><a class="reference internal" href="#id5">まとめ</a></li>
<li><a class="reference internal" href="#id6">参考文献</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../6-1_iterate_map/6-1.html"
                        title="前の章へ">問題6.1 - 周期倍化</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="../6-6_feigenbaum/6-6.html"
                        title="次の章へ">問題6.6 - ファイゲンバウム定数の評価</a></p>
  <h3>このページ</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/6-2_bifurcate/6-2.txt"
           rel="nofollow">ソースコードを表示</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>クイック検索</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="検索" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    モジュール、クラス、または関数名を入力してください
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="../6-6_feigenbaum/6-6.html" title="問題6.6 - ファイゲンバウム定数の評価"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../6-1_iterate_map/6-1.html" title="問題6.1 - 周期倍化"
             >前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      このドキュメントは <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2 で生成しました。
    </div>
  </body>
</html>